Skip to main content
`Ctrl`+`K`

# KSPGuessSetType

Sets the type of a `KSPGuess`

## Synopsis

    #include "petscksp.h"
    PetscErrorCode KSPGuessSetType(KSPGuess guess, KSPGuessType type)

Logically Collective

## Input Parameters

- guess - the initial guess object for the Krylov method

- type - a known `KSPGuessType`

## Options Database Key

- -ksp_guess_type - Turns on generation of initial guesses and sets the method; use -help for a list of available methods

## See Also

KSP: Linear System Solvers, `KSP`, `KSPGuess`, `KSPGuessType`, `KSPGuessRegister()`, `KSPGuessCreate()`

## Level

developer

## Location

src/ksp/ksp/interface/iguess.c

Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages